<?php

/*                                                                      *
 *  COPYRIGHT NOTICE                                                    *
 *                                                                      *
 *  (c) 2010 Martin Helmich <m.helmich@mittwald.de>                     *
 *           Mittwald CM Service GmbH & Co KG                           *
 *           All rights reserved                                        *
 *                                                                      *
 *  This script is part of the TYPO3 project. The TYPO3 project is      *
 *  free software; you can redistribute it and/or modify                *
 *  it under the terms of the GNU General Public License as published   *
 *  by the Free Software Foundation; either version 2 of the License,   *
 *  or (at your option) any later version.                              *
 *                                                                      *
 *  The GNU General Public License can be found at                      *
 *  http://www.gnu.org/copyleft/gpl.html.                               *
 *                                                                      *
 *  This script is distributed in the hope that it will be useful,      *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *  GNU General Public License for more details.                        *
 *                                                                      *
 *  This copyright notice MUST APPEAR in all copies of the script!      *
 *                                                                      */

/**
 * HttpException
 * 
 * @author Sebastian Böttger
 */
class Tx_ExtBibsonomyCsl_Domain_Exception_HttpException 
            extends Tx_ExtBibsonomyCsl_Domain_Exception_AbstractException {
    
    /**
     *
     * @param string $message
     * @param int $code
     * @param Exception $previous 
     */
    public function __construct(
            $message = "HTTP connection refused.", 
            $code = 14, 
            Exception $previous = null) {
        
        parent::__construct($message, $code, $previous);
        error_log("$message; $code; $previous");
    }
}

?>
